Package Gnumed :: Package timelinelib :: Package xml :: Module parser :: Class SaxHandler |
[frames] | no frames]

# Class SaxHandler

source code

    xml.sax.handler.ContentHandler --+
                                     |
                                    SaxHandler

Instance Methods
__init__(self, root_tag, tmp_dict) | source code
startElement(self, name, attrs) Called when a start tag has been read. | source code
endElement(self, name) Called when an end tag (and everything between the start and end tag) has been read. | source code
characters(self, content) Receive notification of character data. | source code
Inherited from `xml.sax.handler.ContentHandler`: `endDocument`, `endElementNS`, `endPrefixMapping`, `ignorableWhitespace`, `processingInstruction`, `setDocumentLocator`, `skippedEntity`, `startDocument`, `startElementNS`, `startPrefixMapping`

Method Details

### __init__(self, root_tag, tmp_dict) (Constructor) | source code
Overrides: xml.sax.handler.ContentHandler.__init__

### startElement(self, name, attrs) | source code
Called when a start tag has been read. Overrides: xml.sax.handler.ContentHandler.startElement

### endElement(self, name) | source code
Called when an end tag (and everything between the start and end tag) has been read. Overrides: xml.sax.handler.ContentHandler.endElement

### characters(self, content) | source code
Receive notification of character data. The Parser will call this method to report each chunk of character data. SAX parsers may return all contiguous character data in a single chunk, or they may split it into several chunks; however, all of the characters in any single event must come from the same external entity so that the Locator provides useful information. Overrides: xml.sax.handler.ContentHandler.characters (inherited documentation)